Compile snips-nlu python on aarch64-gnu-linux


#1

According to instructions, I installed setuptools_rust and rust

$python3 -V
Python 3.6.7

setuptools_rust were installed by
$python3 -m pip install setuptools_rust
It gives me output as, Installing collected packages: toml, semantic-version, setuptools-rust
Successfully installed semantic-version-2.6.0 setuptools-rust-0.10.6 toml-0.10.0

$ rustc --version
rustc 1.32.0 (9fda7c223 2019-01-16)

However when I try setting up snips-nlu using following instruction:
$python3 -m pip install snips-nlu

It gives me following error:

Failed building wheel for snips-nlu-parsers
Failed building wheel for snips-nlu-utils
Failed building wheel for scipy
Failed cleaning build dir for scipy
Failed building wheel for scikit-learn

error: failed to unpack package utf8-ranges v1.0.2

Caused by:
failed to unpack entry at utf8-ranges-1.0.2/Cargo.toml

Caused by:
failed to unpack /home/nvidia/.cargo/registry/src/github.com-1ecc6299db9ec823/utf8-ranges-1.0.2/Cargo.toml


#2

Hello @ak_nv, can you change the tittle with something like compile snips-nlu python on aarch64-gnu-linux

can you also precise the exacte os your are using ?

marc


#3

$ cat /etc/*-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=18.04
DISTRIB_CODENAME=bionic
DISTRIB_DESCRIPTION=“Ubuntu 18.04.1 LTS”
NAME=“Ubuntu”
VERSION=“18.04.1 LTS (Bionic Beaver)”
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME=“Ubuntu 18.04.1 LTS”
VERSION_ID=“18.04”
HOME_URL=“https://www.ubuntu.com/
SUPPORT_URL=“https://help.ubuntu.com/
BUG_REPORT_URL=“https://bugs.launchpad.net/ubuntu/
PRIVACY_POLICY_URL=“https://www.ubuntu.com/legal/terms-and-policies/privacy-policy
VERSION_CODENAME=bionic
UBUNTU_CODENAME=bionic